# PGBROWSE action
# This action will display each selection with xv - The default name for 
#    the column to be used is filename. 

set Name "Display with xv"
set Help "Displays an image with xv"
proc Action { ignored } {

if {[set col [ActionColNum disk_location]] == -1} return
            foreach file [ActionGetCol $col] {
		Tku_Error "File <$file> "
                if [catch {exec xv $file } err] {
                        Tku_Error "Display error on file: $file:  $err"
                        return
                }
            }
            Tku_Waiting
}
